package com.cpop.core.base.entity;

import com.mybatisflex.core.paginate.Page;
import lombok.Getter;
import lombok.Setter;

import java.util.HashMap;
import java.util.Map;

/**
 * @author DB
 * @version 1.0.0
 * @since 2024-01-10 10:37
 */
@Getter
@Setter
public class ExtendPage<T> extends Page<T> {

    /**
     * 额外拓展参数
     */
    private Map<String,Object> extendParams;

    public ExtendPage(Number pageNumber, Number pageSize) {
        super(pageNumber, pageSize);
    }

    public static <T> ExtendPage<T> of(Number pageNumber, Number pageSize) {
        return new ExtendPage<>(pageNumber, pageSize);
    }
}
